SQRT(3)

NAME
cbrt, cbrtf, sqrt, sqrtf - cube root and square root functions

LIBRARY
libm

SYNOPSIS
#include <math.h>
double
cbrt(double x);
float
cbrtf(float x);
double
sqrt(double x);
float
sqrtf(float x);

DESCRIPTION
The cbrt() and the cbrtf() functions compute the cube root of x.

The sqrt() and the sqrtf() functions compute the non-negative square root of x.

RETURN VALUES
The cbrt() and the cbrtf() functions return the requested cube root. The sqrt() and the sqrtf() functions return the requested square root unless an error occurs. An attempt to take the sqrt() of negative x raises an invalid exception and causes an to be returned.

SEE ALSO
fenv(3), math(3)

STANDARDS
The sqrt() function conforms to isoC.

HISTORY
The cbrt() function appeared in 4.3BSD.